@font-face {
    font-family: HoltwoodOneSC;
    src: url('./font/Holtwood_One_SC/HoltwoodOneSC-Regular.ttf');
}
@font-face {
    font-family: Poppins-ExtraBold;
    src: url('./font/Poppins/Poppins-ExtraBold.ttf');
}
@font-face {
    font-family: Poppins-Regular;
    src: url('./font/Poppins/Poppins-Regular.ttf');
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    font-size: 16px;
}

:root{
    --blue-color: rgba(33, 3, 160, 1);
    --dark-grey-color: rgba(86, 86, 86, 1);
    --black-color: rgba(30, 30, 30, 1);
    --white-color: rgba(255, 255, 255, 1);
}

.container{
    /* border: 2px solid red; */
    width: 100vw;
    height: 100vh;
    padding: 25px;
    display: flex;
    background: #f3f3f3;
}

.picture-session{
    width: 53.4vw;
    height: 94vh;
    background: url('./image/login-image.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 10px;
    /* border: 2px solid blue; */
}

.login-session{
    width: 45vw;
    /* border: 2px solid blue; */
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
    padding: 40px 0px;
    background: url('./image/login-background.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.login-session .logo{
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    /* border: 2px solid blue; */
}

.login-session .logo img{
    animation: rotateLogo 5s linear infinite;
}

@keyframes rotateLogo{
    from{
        transform: rotate(0deg);
    }
    to{
        transform: rotate(-360deg);
    }
}

.login-session .logo p{
    font-family: HoltwoodOneSC;
    font-size: 2.5rem;
    color: var(--blue-color);
}

.login-session div p{
    font-family: Poppins-Extrabold;
    font-size: 2.5rem;
    color: var(--dark-grey-color);
}

.login-session form{
    /* border: 2px solid blue; */
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.login-session form h2{
    font-family: Poppins-ExtraBold;
    font-size: 2.5rem; 
    margin-bottom: 20px;
}

.login-session form span{
    width: 25vw;
}

.login-session form span p{
    font-family: Poppins-Regular;
    font-size: 1.2rem;
}

.login-session form span input{
    width: inherit;
    height: 6vh;
    outline: none;
    border: 2px solid var(--blue-color);
    border-radius: 10px;
    background: var(--white-color);
    font-size: 1.6rem;
    padding: 0px 5px;
}

.login-session form button{
    width: 25vw;
    height: 8vh;
    outline: none;
    border: none;
    background: var(--blue-color);
    color: var(--white-color);
    font-family: Poppins-Regular;
    font-size: 1.8rem;
    margin-top: 30px;
    border-radius: 10px;
    cursor: pointer;
}

@media only screen and (max-width: 1270px){
    html{
        font-size: 90%;
    }

    .login-session form span{
        width: 30vw;
    }

    .login-session form button{
        width: 30vw;
    }
}

@media only screen and (max-width: 1024px){

    html{
        font-size: 70%;
    }

    .login-session{
        width: 40vw;
        /* border: 2px solid blue; */
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 15px;
        padding: 20px 0px;
        background: url('./image/login-background.png');
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

    .login-session form{
        /* border: 2px solid blue; */
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
    }
    
    .login-session form h2{
        font-family: Poppins-ExtraBold;
        font-size: 2.5rem; 
        margin-bottom: 20px;
    }
    

    .login-session form span{
        width: 35vw;
    }

    .login-session form button{
        width: 35vw;
        margin-top: 20px;
    }
}

@media only screen and (max-width: 870px){
    .picture-session{
        display: none;
    }

    .login-session{
        width: 100vw;
        /* border: 2px solid blue; */
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 25px;
        padding: 30px 0px;
        background: url('./image/login-background.png');
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

    .login-session form span{
        width: 50vw;
    }

    .login-session form button{
        width: 50vw;
    }
}

@media only screen and (max-width: 540px){
    html{
        font-size: 70%;
    }
    .login-session{
        width: 100vw;
        /* border: 2px solid blue; */
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px;
        padding: 20px 0px;
        background: url('./image/login-background.png');
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }
}

@media only screen and (max-width: 430px){
    html{
        font-size: 70%;
    }
    .login-session form span{
        width: 80vw;
    }

    .login-session form button{
        width: 80vw;
    }
}